VMware

JMS Client and RabbitMQ Server Compatibility

Last Document Update: 14 NOV 2013

The JMS Client for vFabric RabbitMQ includes a RabbitMQ server plugin that works only with specific versions of RabbitMQ Server and Java (AMQP) clients. The following table lists all recent versions of JMS Client for vFabric RabbitMQ and the corresponding versions of RabbitMQ server and RabbitMQ Java clients with which it is compatible.

JMS Client Version RabbitMQ Server Version Java (AMQP) Client Versions Erlang Runtime Versions
1.0.0 3.0.4 3.0.4 ≥R15
1.0.1 3.0.4 3.0.4 ≥R15
1.0.2 3.1.1 3.0.4 to 3.1.1 ≥R15
1.0.3 3.1.3 3.0.4 to 3.1.3 ≥R15
1.0.4 3.1.4 3.0.4 to 3.1.4 ≥R15
1.0.5 3.1.5 3.0.4 to 3.1.5 ≥R15
1.0.6 3.1.5 3.0.4 to 3.1.5 ≥R15
1.1.0 3.2.0 3.2.0 ≥R15
1.1.1 3.2.1 3.2.0 to 3.2.1 ≥R14